summary refs log tree commit diff
path: root/afl-fuzz.sh
diff options
context:
space:
mode:
Diffstat (limited to 'afl-fuzz.sh')
-rwxr-xr-xafl-fuzz.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/afl-fuzz.sh b/afl-fuzz.sh
new file mode 100755
index 0000000..c9986c6
--- /dev/null
+++ b/afl-fuzz.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+test -z "$1" -o "$1" = "-h" && { echo Syntax: $0 afl-fuzz-options ; echo sets the afl-dyninst environment variables ; exit 1 ; }
+export AFL_SKIP_BIN_CHECK=1
+export DYNINSTAPI_RT_LIB=/usr/local/lib/libdyninstAPI_RT.so
+#export AFL_PRELOAD=./desock.so
+afl-fuzz $*